> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sandbox test runs (end-to-end checks with practice briefs)



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/test-runs
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/test-runs:
    get:
      tags:
        - Test Runs
      summary: Sandbox test runs (end-to-end checks with practice briefs)
      operationId: getStorefrontTestRuns
      parameters:
        - name: runId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          state:
                            type: string
                            enum:
                              - ok
                              - empty
                              - permission
                              - error
                              - loading
                          stateMessage:
                            type: string
                          storefrontId:
                            type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          canRun:
                            type: boolean
                          runs:
                            type: array
                            items:
                              type: object
                              properties:
                                runId:
                                  type: string
                                status:
                                  type: string
                                  enum:
                                    - planned
                                    - running
                                    - partial
                                    - passed
                                    - failed
                                brief:
                                  type: string
                                summary:
                                  type: string
                                startedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                finishedAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                    - type: 'null'
                                steps:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      key:
                                        type: string
                                      label:
                                        type: string
                                      status:
                                        type: string
                                        enum:
                                          - completed
                                          - failed
                                          - not_checked
                                      detail:
                                        type:
                                          - string
                                          - 'null'
                                      at:
                                        anyOf:
                                          - type: string
                                            format: date-time
                                            pattern: >-
                                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                          - type: 'null'
                                    required:
                                      - key
                                      - label
                                      - status
                                      - detail
                                      - at
                                    additionalProperties: false
                                rfpId:
                                  type:
                                    - string
                                    - 'null'
                                turnId:
                                  type:
                                    - string
                                    - 'null'
                                mediaBuyId:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - runId
                                - status
                                - brief
                                - summary
                                - startedAt
                                - finishedAt
                                - steps
                                - rfpId
                                - turnId
                                - mediaBuyId
                              additionalProperties: false
                          selectedRunId:
                            type:
                              - string
                              - 'null'
                          starterBriefs:
                            type: array
                            items:
                              type: string
                        required:
                          - state
                          - storefrontId
                          - canRun
                          - runs
                          - selectedRunId
                          - starterBriefs
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````